Update Lead: Propertyware
https://api.propexo.com/v1/leads/propertyware/:lead_id| Method |
|---|
| createProspect |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
The first name associated with the lead
The last name associated with the lead
The middle name associated with the lead
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe city associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Notes associated with the lead
The desired number of bathrooms
The desired number of bedrooms
The number of occupants living in the unit
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The raw status associated with the lead
The desired type of unit
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The first name associated with the lead
The last name associated with the lead
The middle name associated with the lead
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe city associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Notes associated with the lead
The desired number of bathrooms
The desired number of bedrooms
The number of occupants living in the unit
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The raw status associated with the lead
The desired type of unit
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/propertyware/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"number_of_occupants": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"status_raw": "string",
"desired_unit_type": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"number_of_occupants": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"status_raw": "string",
"desired_unit_type": "string"
}
}